package ims.io;

import java.io.IOException;

import ims.data.ISentence;
import ims.trans.Options;

public class TakeProjSen {

	public static void main(String[] args) throws IOException{
		Options options=new Options(args);
		Iterable<? extends ISentence> reader=NonProjDiscardingReader.createReader((ReaderWriterFactory.getReader(options.train,options.format.sentenceClass)));
		TabbedWriter writer=ReaderWriterFactory.getWriter(options.out);
		for(ISentence s:reader)
			writer.write(s);
		writer.close();
	}
	
}
