package ims.trans.transitions;

import java.io.Serializable;

import ims.oracle.Configuration.TR;
import ims.trans.State;

public interface ITransition extends Serializable{
	
//	public static final String SH=TR.SH.toString();    //public static final String kSH="a";
//	public static final String LA=TR.LA.toString();    //public static final String kLA="b";
//	public static final String RAS=TR.RAS.toString();  //public static final String kRAS="c";
//	public static final String RAE=TR.RAE.toString();  //public static final String kRAE="d";
//	public static final String RE=TR.RE.toString();    //public static final String kRE="e";
//	public static final String SW=TR.SW.toString();    //public static final String kSW="f";
	
	public State apply(State state,double newScore);
	public String getBasicTransitionLabel();
	public String getFullTransitionLabel();
	public int getId();
	public TR getTR();
	public boolean isLabeled();
	public int getDep(State state);
//	public int getHead(State state);
	public boolean equals(ITransition other);
	public boolean isArcTransition();
}
