package ims.io;

import ims.data.ISentence;

import java.io.File;
import java.io.IOException;

public class ReversingTabbedWriter extends TabbedWriter {

	public ReversingTabbedWriter(File output) throws IOException {
		super(output);
	}
	
	@Override
	public void write(ISentence s) throws IOException{
		s.reverseSentence();
		super.write(s);
	}

}
